Update an S3 input locationCopy Pagepatch https://api.pixop.com/api/v1/input-locations/s3/{id}Updates the details of an existing S3 input location by its unique identifier.Path ParamsiduuidrequiredThe unique identifier for the object.Body ParamsFields of an S3 input location that can be updated.Represents the fields that can be updated for an S3 input location, including the bucket, access keys, and name.bucketstringlength between 3 and 63The name of the S3 bucket. Bucket names must comply with the rules for DNS-compliant names, with a length between 3 and 63 characters.accessKeystringThe access key for authenticating with the S3 bucket. This key is part of the AWS credentials required to perform operations on the bucket.secretAccessKeystringThe secret access key for authenticating with the S3 bucket. This key is part of the AWS credentials and should be kept secure.namestringlength between 1 and 47A user-defined name to associate with the input location. Helps in organizing and identifying various input locations.Responses 200Successfully retrieved details of the S3 input location. 400Invalid request. Inspect the details of the error for more information. 401Authentication failed. Missing or invalid X-API-Key or basic authentication credentials. 403Access denied. You do not have the necessary permissions to access this resource. 404The requested resource could not be found. 429Too Many Requests. The rate limit for this resource has been exceeded. 500An unexpected error occurred on the server.Updated 20 days ago Retrieve S3 input location detailsDelete an S3 input locationDid this page help you?YesNo